﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ugTest.DataSource = GetPracticeTable();
        }
        DataTable dt;
        private DataTable GetPracticeTable()
        {
            DataTable DT;
            if (this.dt == null)
            {
                dt = new DataTable();
                dt.Columns.Add("Inc", typeof(bool));
                dt.Columns.Add("Code", typeof(string));
                dt.Columns.Add("Name", typeof(string));
                dt.Columns.Add("RefID", typeof(string));

                
                    DataRow dr = dt.NewRow();
                    dr["Inc"] = false;
                    dr["Code"] = "ABC";
                    dr["Name"] = "Joe Smith";
                    dr["RefID"] = "12345";
                    dt.Rows.Add(dr);

                    DataRow dr2 = dt.NewRow();
                    dr2["Inc"] = false;
                    dr2["Code"] = "DEF";
                    dr2["Name"] = "Mary Jones";
                    dr2["RefID"] = "43245";
                    dt.Rows.Add(dr2);

                    DataRow dr3 = dt.NewRow();
                    dr3["Inc"] = false;
                    dr3["Code"] = "GDEF";
                    dr3["Name"] = "Ellen Smellen";
                    dr3["RefID"] = "4ew3245";
                    dt.Rows.Add(dr3);

                    DataRow dr4 = dt.NewRow();
                    dr4["Inc"] = true;
                    dr4["Code"] = "DEF";
                    dr4["Name"] = "Mary Jones";
                    dr4["RefID"] = "43245";
                    dt.Rows.Add(dr4);
            }
            DT = dt;
            return DT;
        }

        private void ugTest_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridBand ugb = e.Layout.Bands[0];
            UltraGridColumn col = null;
            e.Layout.Override.HeaderClickAction = HeaderClickAction.SortMulti;
            foreach (UltraGridColumn ugc in ugb.Columns)
            {

                ugc.SortIndicator = SortIndicator.Ascending;
            }
            col = ugb.Columns["RefID"];
            col.Hidden = true;

           //.Layout.Override.HeaderAppearance.TextHAlign = HAlign.Left;
        }

        private void ugTest_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.Cells["Code"].Value.ToString().StartsWith("4"))
            {
                e.Row.Cells["Inc"].Value = true;
            }
            else            
                e.Row.Cells["Inc"].Value = false;
        }
    }
}
